Download it now!
Bug 72605 - Function Wizard returns cells range also when has to work on a single cell
Summary: Function Wizard returns cells range also when has to work on a single cell
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta2
Hardware: All All
: high major
Assignee: Eike Rathke
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-12-11 18:32 UTC by Nicola Ricciarelli
Modified: 2014-01-24 17:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicola Ricciarelli 2013-12-11 18:32:59 UTC
using the Function Wizard if a function uses just a cell content as argument, it's normal that now it retrns an interval?
Example: in a cell A1 I write the function   Today()     and in cell B1 want to extract just the year. Using the Function Wizard I obtain the following output:  Year(A1:A1)   while with all previous LO versions the result was simply Year(A1).
Why this new Function Wizard single cell working? Considering that both   Year(A1:A1)  and   Year(A1)  works good and produce the same correct result, why to use the 1st one? 
Thanks,

Nicola
Comment 1 sophie 2013-12-18 14:14:30 UTC
Confirmed, the result in the input bar is =YEAR(.A1:A1), if works correctly without the function wizard i.e. entering =YEAR() directly in the cell.
Version: 4.2.0.0.beta2
Build ID: 1a27be92e320f97c20d581a69ef1c8b99ea9885d
Works well with Version: 4.1.3.2
Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a
So regression confirmed. - Set as New - added regression to Whiteboard - Changed Plateform - Sophie
Comment 2 Eike Rathke 2014-01-24 15:43:46 UTC
Looks very much related to bug 73235, taking.
Comment 3 Eike Rathke 2014-01-24 17:28:04 UTC
Resolved with fix for bug 73235.